Bug 96541 - Tonga Unreal elemental bad rendering since radeonsi: Decompress DCC textures in a render feedback loop
Summary: Tonga Unreal elemental bad rendering since radeonsi: Decompress DCC textures ...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-15 23:08 UTC by Andy Furniss
Modified: 2016-09-09 09:49 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
elemental bad rendering (1.48 MB, image/png)
2016-06-15 23:08 UTC, Andy Furniss
Details
elemental good rendering (1.54 MB, image/png)
2016-06-15 23:09 UTC, Andy Furniss
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Furniss 2016-06-15 23:08:55 UTC
Created attachment 124549 [details]
elemental bad rendering

R9285 git llvm agd5f drm-next-4.18-wip since mesa -

commit 35818129a676502415a5f502ccd2759646066921
Author: Bas Nieuwenhuizen <bas@basnieuwenhuizen.nl>
Date:   Tue May 31 14:11:49 2016 +0200

    radeonsi: Decompress DCC textures in a render feedback loop.
    
    By using a counter to quickly reject textures that are not
    bound to a framebuffer, the performance impact when binding
    sampler_views/images is not too large.

Unreal elemental mis-renders metalwork.
Comment 1 Andy Furniss 2016-06-15 23:09:44 UTC
Created attachment 124550 [details]
elemental good rendering
Comment 2 Andy Furniss 2016-09-09 09:49:01 UTC
Working with current mesa/llvm.

Not sure when/what fixed as I haven't tested for a while.


bug/show.html.tmpl processed on Feb 26, 2017 at 07:40:52.
(provided by the Example extension).